Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOverrideInformation Class Reference

`#include <vtkOverrideInformation.h>`

Inheritance diagram for vtkOverrideInformation:

[legend]
Collaboration diagram for vtkOverrideInformation:

[legend]
List of all members.

## Detailed Description

Factory object override information.

Date:
  2002/12/26 18:24:21

Revision:
  1.8

vtkOverrideInformation is used to represent the information about a class which is overriden in a vtkObjectFactory.

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (79%)
  - Schroeder, Will (9%)
  - Cedilnik, Andy (9%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkOverrideInformation.h)`
  - .`cxx` (`/Common/vtkOverrideInformation.cxx)`

Tests:
  vtkOverrideInformation (Tests)

Definition at line 49 of file vtkOverrideInformation.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
const char * | GetClassOverrideName ()
const char * | GetClassOverrideWithName ()
const char * | GetDescription ()
vtkObjectFactory * | GetObjectFactory ()
virtual void | SetClassOverrideName (const char *)
virtual void | SetClassOverrideWithName (const char *)
virtual void | SetDescription (const char *)
## Static Public Methods
vtkOverrideInformation * | New ()
int | IsTypeOf (const char *type)
vtkOverrideInformation * | SafeDownCast (vtkObject *o)
## Protected Methods
virtual void | SetObjectFactory (vtkObjectFactory *)
## Friends
class | vtkObjectFactory

## Member Typedef Documentation

typedef vtkObject vtkOverrideInformation::Superclass

| Reimplemented from vtkObject. Definition at line 53 of file vtkOverrideInformation.h.

## Member Function Documentation

vtkOverrideInformation* vtkOverrideInformation::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkOverrideInformation::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkOverrideInformation::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkOverrideInformation::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkOverrideInformation* vtkOverrideInformation::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

virtual void vtkOverrideInformation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Print ObjectFactor to stream. Reimplemented from vtkObject.

const char* vtkOverrideInformation::GetClassOverrideName | ( |  | ) | `[inline]`

| Returns the name of the class being overriden. For example, if you had a factory that provided an override for vtkVertex, then this funciton would return "vtkVertex" Definition at line 61 of file vtkOverrideInformation.h.

const char* vtkOverrideInformation::GetClassOverrideWithName | ( |  | ) | `[inline]`

| Returns the name of the class that will override the class. For example, if you had a factory that provided an override for vtkVertex called vtkMyVertex, then this would return "vtkMyVertex" Definition at line 71 of file vtkOverrideInformation.h.

const char* vtkOverrideInformation::GetDescription | ( |  | ) | `[inline]`

| Return a human readable or GUI displayable description of this override. Definition at line 80 of file vtkOverrideInformation.h.

vtkObjectFactory* vtkOverrideInformation::GetObjectFactory | ( |  | ) | `[inline]`

| Return the specific object factory that this override occurs in. Definition at line 88 of file vtkOverrideInformation.h.

virtual void vtkOverrideInformation::SetClassOverrideName | ( | const char * |  | ) | `[virtual]`

| Return the specific object factory that this override occurs in.

virtual void vtkOverrideInformation::SetClassOverrideWithName | ( | const char * |  | ) | `[virtual]`

| Return the specific object factory that this override occurs in.

virtual void vtkOverrideInformation::SetDescription | ( | const char * |  | ) | `[virtual]`

| Return the specific object factory that this override occurs in.

virtual void vtkOverrideInformation::SetObjectFactory | ( | vtkObjectFactory * |  | ) | `[protected, virtual]`

## Friends And Related Function Documentation

friend class vtkObjectFactory`[friend]`

| Definition at line 109 of file vtkOverrideInformation.h.

The documentation for this class was generated from the following file:

- Common/vtkOverrideInformation.h